#include "pulsePin.h"

RGBmatrixPanel matrix(A, B, C, CLK, LAT, OE, false);

const int numArray = 10;
int arrayP[numArray] = { 9, 3,  2, 12, 6, 1,  7, 8, 14, 11};
int arrayD[numArray] = {-1, 1, -1, -1, 1, 1, -1, 1,  1, -1};

void setup() {
  if (DEBUG) Serial.begin(9600);
  matrix.begin();
}

void loop() {  
  matrix.fillScreen(0);  
  
  for (int i = 0; i < numArray; i++)  {
     matrix.drawPixel(10 + i, arrayP[i], random(65536));
    
     arrayP[i] += arrayD[i];
     
     if( arrayP[i] <= 0 || arrayP[i] >= matrix.height() - 1 )  {
         arrayD[i] *= -1;  
     }
  }
  
  delay( map(analogRead(SlideL), 0, 1023, 500, 0) );
}



